commit:     570885588dfe05da95f61bc6d9ddbabf67c47d12
Author:     Andreas Zuber <a.zuber <AT> gmx <DOT> ch>
AuthorDate: Tue Feb 20 08:08:20 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun Mar  4 22:09:09 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57088558

games-util/pyfa: version bump to 1.35.1.

Package-Manager: Portage-2.3.19, Repoman-2.3.6
Closes: https://github.com/gentoo/gentoo/pull/7235

 games-util/pyfa/Manifest           |   1 +
 games-util/pyfa/pyfa-1.35.1.ebuild | 101 +++++++++++++++++++++++++++++++++++++
 2 files changed, 102 insertions(+)

diff --git a/games-util/pyfa/Manifest b/games-util/pyfa/Manifest
index 825aebf527d..ecd5ac1c46c 100644
--- a/games-util/pyfa/Manifest
+++ b/games-util/pyfa/Manifest
@@ -1,2 +1,3 @@
 DIST pyfa-1.34.0.tar.gz 8629709 BLAKE2B 
5b16296b675383a446bb21133c9e83726a92beb221babbf8fbe4b19f0f7e95bb19fd6050a5c2e3d5e602df4bbb83debfeefd6ec7efdbff35a47934ef9b29979f
 SHA512 
4642efd4de5be4add3c3f994d7be9dbeeb231fe86229f7944d52f265527c7a79698d3da5ccac3018e02c6000b0da888ad0e64382e12f74b7dd7b3398e7bb2d48
 DIST pyfa-1.35.0.tar.gz 8743938 BLAKE2B 
623a70ea8d28c41f94b5c54c3b8b57ddc6b6604f0eccaa1d9716f8b47295bfca12e2db068d3283448b2a6719a3ef73c74d42a98550a1b062e93e6d1091a45797
 SHA512 
28b3294e8c1d611402d4123d184d6ddf57886a51264fc25529ca3e0cd8af6d41dbe28b15c4714e591f940427651249761db8d2353006b169d358974bc691f121
+DIST pyfa-1.35.1.tar.gz 8746324 BLAKE2B 
f224f78c97f15d37e2276512541985bfd2ae80c031233261837cd142eddc16a853688a4f1f1f8684736f757d60fd57c41fb14987f336274b2284bd1de26239b3
 SHA512 
6da5e2d3351157f35c32c7b210d8bfb86a9dc2ea3a3df02449950c498ffabecff3a48fe38086dce75ec5a2cc2549dd28b474015edc0ea01c56a2ff58d1ba3f69

diff --git a/games-util/pyfa/pyfa-1.35.1.ebuild 
b/games-util/pyfa/pyfa-1.35.1.ebuild
new file mode 100644
index 00000000000..566b23ecc2d
--- /dev/null
+++ b/games-util/pyfa/pyfa-1.35.1.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite,threads"
+
+inherit eutils gnome2-utils python-r1
+
+DESCRIPTION="Python Fitting Assistant - a ship fitting application for EVE 
Online"
+HOMEPAGE="https://github.com/pyfa-org/Pyfa";
+
+LICENSE="GPL-3+ LGPL-2.1+ CC-BY-2.5 free-noncomm"
+SLOT="0"
+if [[ ${PV} = 9999 ]]; then
+       EGIT_REPO_URI="https://github.com/pyfa-org/Pyfa.git";
+       inherit git-r3
+       KEYWORDS="x86"
+else
+       SRC_URI="https://github.com/pyfa-org/Pyfa/archive/v${PV}.tar.gz -> 
pyfa-${PV}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+IUSE="+graph"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="dev-python/python-dateutil[${PYTHON_USEDEP}]
+       >=dev-python/sqlalchemy-1.0.5[${PYTHON_USEDEP}]
+       dev-python/wxpython:3.0[${PYTHON_USEDEP}]
+       >=dev-python/logbook-1.0.0[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       graph? (
+               dev-python/matplotlib[wxwidgets,${PYTHON_USEDEP}]
+               dev-python/numpy[${PYTHON_USEDEP}] )
+       ${PYTHON_DEPS}"
+DEPEND="app-arch/zip"
+
+[[ ${PV} = 9999 ]] || S=${WORKDIR}/Pyfa-${PV}
+
+src_prepare() {
+       # get rid of CRLF line endings introduced in 1.1.10 so patches work
+       edos2unix config.py pyfa.py gui/bitmapLoader.py service/settings.py
+
+       # load gameDB and images from separate staticdata directory
+       eapply "${FILESDIR}/${PN}-1.33.1-staticdata.patch"
+
+       # fix import path in the main script for systemwide installation
+       eapply "${FILESDIR}/${PN}-1.33.1-import-pyfa.patch"
+
+       eapply_user
+
+       touch __init__.py
+
+       pyfa_make_configforced() {
+               mkdir -p "${BUILD_DIR}" || die
+               sed -e "s:%%SITEDIR%%:$(python_get_sitedir):" \
+                       -e "s:%%EPREFIX%%:${EPREFIX}:" \
+                       "${FILESDIR}/configforced-1.15.1.py" > 
"${BUILD_DIR}/configforced.py"
+               sed -e "s:%%SITEDIR%%:$(python_get_sitedir):" \
+                       pyfa.py > "${BUILD_DIR}/pyfa"
+       }
+       python_foreach_impl pyfa_make_configforced
+}
+
+src_install() {
+       pyfa_py_install() {
+               local packagedir=$(python_get_sitedir)/${PN}
+               insinto "${packagedir}"
+               doins -r eos gui service utils config*.py __init__.py
+               [[ -e info.py ]] && doins info.py # only in zip releases
+               doins "${BUILD_DIR}/configforced.py"
+               python_doscript "${BUILD_DIR}/pyfa"
+               python_optimize
+       }
+       python_foreach_impl pyfa_py_install
+
+       insinto /usr/share/${PN}
+       doins eve.db
+
+       einfo "Compressing images ..."
+       pushd imgs > /dev/null || die
+       zip -r imgs.zip * || die "zip failed"
+       doins imgs.zip
+       popd > /dev/null || die
+
+       dodoc README.md
+       doicon -s 32 imgs/gui/pyfa.png
+       newicon -s 64 imgs/gui/pyfa64.png pyfa.png
+       domenu "${FILESDIR}/${PN}.desktop"
+}
+
+pkg_preinst() {
+       gnome2_icon_savelist
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to